import { FinancialIndicator } from "./FinancialIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type, IList$1 } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { FinancialCalculationDataSource } from "./FinancialCalculationDataSource";
/**
 * @hidden
 */
export declare abstract class StrategyBasedIndicator extends FinancialIndicator {
    static $t: Type;
    constructor();
    protected q0(): void;
    protected ql: IndicatorCalculationStrategy;
    protected abstract readonly qm: IndicatorCalculationStrategy;
    protected abstract readonly qz: Type;
    static qp: List$1<string>;
    protected qs(): number;
    q1(a: number): void;
    protected qu(): number;
    protected qr(): number;
    static q5(a: number, b: Type, c: string): DependencyProperty;
    protected static q4(a: number, b: Type): DependencyProperty;
    protected static q2(a: number, b: Type): DependencyProperty;
    protected static q6(a: number, b: Type): DependencyProperty;
    protected py(a: number, b: number): IList$1<string>;
    protected pv(a: number, b: number): boolean;
    protected qo(a: FinancialCalculationDataSource): boolean;
    private qn;
    protected qt(a: number): number;
    protected mu(a: number, b: number): FinancialCalculationDataSource;
    protected qq(): number;
    protected static q3(a: number, b: Type): DependencyProperty;
    protected i7(a: any, b: string, c: any, d: any): void;
}
